Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.config
Class PlannerBenchmarkConfig

    java.lang.Object
      org.optaplanner.benchmark.config.PlannerBenchmarkConfig

    public class PlannerBenchmarkConfig

extends Object

Field Summary
`static String` | `AVAILABLE_PROCESSOR_COUNT`
`protected org.slf4j.Logger` | `logger`
`static String` | `PARALLEL_BENCHMARK_COUNT_AUTO`

Constructor Summary
`PlannerBenchmarkConfig()`

Method Summary
`protected List<SolverBenchmarkConfig>` | `buildEffectiveSolverBenchmarkConfigList()`
`PlannerBenchmark` | `buildPlannerBenchmark()`
`protected long` | `calculateWarmUpTimeMillisSpentLimit()`
`protected void` | `generateSolverBenchmarkConfigNames()`
`File` | `getBenchmarkDirectory()`
`BenchmarkReportConfig` | `getBenchmarkReportConfig()`
`SolverBenchmarkConfig` | `getInheritedSolverBenchmarkConfig()`
`String` | `getName()`
`String` | `getParallelBenchmarkCount()` Using multiple parallel benchmarks can decrease the reliability of the results.
`List<SolverBenchmarkBluePrintConfig>` | `getSolverBenchmarkBluePrintConfigList()`
`List<SolverBenchmarkConfig>` | `getSolverBenchmarkConfigList()`
`Long` | `getWarmUpHoursSpentLimit()`
`Long` | `getWarmUpMillisecondsSpentLimit()`
`Long` | `getWarmUpMinutesSpentLimit()`
`Long` | `getWarmUpSecondsSpentLimit()`
`protected int` | `resolveParallelBenchmarkCount()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setBenchmarkReportConfig(BenchmarkReportConfig benchmarkReportConfig)`
`void` | `setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)`
`void` | `setName(String name)`
`void` | `setParallelBenchmarkCount(String parallelBenchmarkCount)`
`void` | `setSolverBenchmarkBluePrintConfigList(List<SolverBenchmarkBluePrintConfig> solverBenchmarkBluePrintConfigList)`
`void` | `setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)`
`void` | `setWarmUpHoursSpentLimit(Long warmUpHoursSpentLimit)`
`void` | `setWarmUpMillisecondsSpentLimit(Long warmUpMillisecondsSpentLimit)`
`void` | `setWarmUpMinutesSpentLimit(Long warmUpMinutesSpentLimit)`
`void` | `setWarmUpSecondsSpentLimit(Long warmUpSecondsSpentLimit)`
`protected void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARALLEL_BENCHMARK_COUNT_AUTO

    public static final String PARALLEL_BENCHMARK_COUNT_AUTO

See Also:
  Constant Field Values

### AVAILABLE_PROCESSOR_COUNT

    public static final String AVAILABLE_PROCESSOR_COUNT

See Also:
  `Runtime.availableProcessors()`, Constant Field Values

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### PlannerBenchmarkConfig

    public PlannerBenchmarkConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getParallelBenchmarkCount

    public String getParallelBenchmarkCount()

  Using multiple parallel benchmarks can decrease the reliability of the results.

  If there aren't enough processors available, it will be decreased.

  Returns:
    null, "AUTO" or a JavaScript calculation using "availableProcessorCount".

### setParallelBenchmarkCount

    public void setParallelBenchmarkCount(String parallelBenchmarkCount)

### getWarmUpMillisecondsSpentLimit

    public Long getWarmUpMillisecondsSpentLimit()

### setWarmUpMillisecondsSpentLimit

    public void setWarmUpMillisecondsSpentLimit(Long warmUpMillisecondsSpentLimit)

### getWarmUpSecondsSpentLimit

    public Long getWarmUpSecondsSpentLimit()

### setWarmUpSecondsSpentLimit

    public void setWarmUpSecondsSpentLimit(Long warmUpSecondsSpentLimit)

### getWarmUpMinutesSpentLimit

    public Long getWarmUpMinutesSpentLimit()

### setWarmUpMinutesSpentLimit

    public void setWarmUpMinutesSpentLimit(Long warmUpMinutesSpentLimit)

### getWarmUpHoursSpentLimit

    public Long getWarmUpHoursSpentLimit()

### setWarmUpHoursSpentLimit

    public void setWarmUpHoursSpentLimit(Long warmUpHoursSpentLimit)

### getBenchmarkReportConfig

    public BenchmarkReportConfig getBenchmarkReportConfig()

### setBenchmarkReportConfig

    public void setBenchmarkReportConfig(BenchmarkReportConfig benchmarkReportConfig)

### getInheritedSolverBenchmarkConfig

    public SolverBenchmarkConfig getInheritedSolverBenchmarkConfig()

### setInheritedSolverBenchmarkConfig

    public void setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)

### getSolverBenchmarkBluePrintConfigList

    public List<SolverBenchmarkBluePrintConfig> getSolverBenchmarkBluePrintConfigList()

### setSolverBenchmarkBluePrintConfigList

    public void setSolverBenchmarkBluePrintConfigList(List<SolverBenchmarkBluePrintConfig> solverBenchmarkBluePrintConfigList)

### getSolverBenchmarkConfigList

    public List<SolverBenchmarkConfig> getSolverBenchmarkConfigList()

### setSolverBenchmarkConfigList

    public void setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

### validate

    protected void validate()

### generateSolverBenchmarkConfigNames

    protected void generateSolverBenchmarkConfigNames()

### buildEffectiveSolverBenchmarkConfigList

    protected List<SolverBenchmarkConfig> buildEffectiveSolverBenchmarkConfigList()

### resolveParallelBenchmarkCount

    protected int resolveParallelBenchmarkCount()

### calculateWarmUpTimeMillisSpentLimit

    protected long calculateWarmUpTimeMillisSpentLimit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.